Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler
Class ProcessBuilderImpl

    java.lang.Object
      org.jbpm.compiler.ProcessBuilderImpl

All Implemented Interfaces:
  org.drools.compiler.compiler.ProcessBuilder

    public class ProcessBuilderImpl

extends Object
implements org.drools.compiler.compiler.ProcessBuilder

A ProcessBuilder can be used to build processes based on XML files containing a process definition.

Constructor Summary
`ProcessBuilderImpl(org.drools.compiler.builder.impl.KnowledgeBuilderImpl packageBuilder)`

Method Summary
`List<org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl>` | `addProcessFromXml(Resource resource)`
`void` | `buildContexts(ContextContainer contextContainer, ProcessBuildContext buildContext)`
`void` | `buildNodes(WorkflowProcess process, ProcessBuildContext context)`
`void` | `buildProcess(Process process, Resource resource)`
`void` | `configurePackageBuilder(org.kie.internal.builder.KnowledgeBuilder packageBuilder)`
`List<org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl>` | `getErrors()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBuilderImpl

    public ProcessBuilderImpl(org.drools.compiler.builder.impl.KnowledgeBuilderImpl packageBuilder)

Method Detail

### configurePackageBuilder

    public void configurePackageBuilder(org.kie.internal.builder.KnowledgeBuilder packageBuilder)

### getErrors

    public List<org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl> getErrors()

  Specified by:
    `getErrors` in interface `org.drools.compiler.compiler.ProcessBuilder`

### buildProcess

    public void buildProcess(Process process,
                             Resource resource)

### buildContexts

    public void buildContexts(ContextContainer contextContainer,
                              ProcessBuildContext buildContext)

### buildNodes

    public void buildNodes(WorkflowProcess process,
                           ProcessBuildContext context)

### addProcessFromXml

    public List<org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl> addProcessFromXml(Resource resource)
                                                                                        throws IOException

  Specified by:
    `addProcessFromXml` in interface `org.drools.compiler.compiler.ProcessBuilder`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.